> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get activity list

> POST /projects/{projectId}/scenarios/{scenarioId}/activity-list



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))



### Body: application/json (object)

- **groupBy** (string)

- **activityCodeTypeIds** (array[integer(int64)])

- **columns** (array[string])

- **filterId** (array[integer(int64)])

- **activityCodeFilter** (array[integer(int64)])

- **dataDate** (string(date-time))



## Responses
### 200
OK

#### Body: */* (array[object])
- **activityCodeId** (integer(int64))

- **activityCodeName** (string)

- **activities** (array[object])



[Powered by Bump.sh](https://bump.sh)
